# NftEscrow

> <mark style="color:blue;">**FUNCTIONS**</mark>
>
> escrowedAmounts(\_orderId)
>
> escrowedAsset(\_orderId)
>
> deposit(\_orderId, \_sender, \_amount, \_assetData)
>
> withdraw(orderId, \_receiver, amount)
>
> withdrawBatch(orderIds, \_receiver, amounts)

| escrowedAmounts(uint256 \_orderId) -> uint256                   |
| --------------------------------------------------------------- |
| Returns the amount of assets escrowed for the given `_orderId`. |
| visibility: external                                            |
| state mutability: view                                          |

| escrowedAsset(uint256 \_orderId) -> address, uint256               |
| ------------------------------------------------------------------ |
| Returns the content address and token Id for the given `_orderId`. |
| visibility: external                                               |
| state mutability: view                                             |

| deposit(uint256 \_orderId, address \_sender, uint256 \_amount, LibOrder.AssetData \_assetData) |
| ---------------------------------------------------------------------------------------------- |
| Transfers `amount` of assets from `_sender` to escrow.                                         |
| visibility: external                                                                           |
| state mutability:                                                                              |

| withdraw(uint256 orderId, address \_receiver, uint256 \_amount) |
| --------------------------------------------------------------- |
| Withdraws `_amount` of assets from escrow to `_receiver`.       |
| visibility: external                                            |
| state mutability:                                               |

| withdrawBatch(uint256\[] orderIds, address \_receiver, uint256\[] amounts) |
| -------------------------------------------------------------------------- |
| Withdraws a batch of assets from escrow to `_receiver`.                    |
| visibility: external                                                       |
| state mutability:                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rawrshak.io/developers/smart-contracts/exchange-contracts/nftescrow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
